//---------------------------------------------------------------------------

#include <vcl.h>
#include <iostream>
#include <string>
#include <conio.h> //  getch()
#pragma hdrstop

//---------------------------------------------------------------------------

#pragma argsused
using namespace std;

std::string ToRus(const std::string &in)
{
  char *buff = new char [in.length()+1];
  CharToOem(in.c_str(),buff);
  std::string out(buff);
  delete [] buff;
  return out;
}


int main(int argc, char* argv[])
{
  string str1(" string   ");
  string str2(" .");
  string str3;

  //  string-.
  str3 = str1;
  cout << ToRus(str1) << "\n" << ToRus(str3) << "\n";

  //   string-.
  str3 = str1 + str2;
  cout << ToRus(str3) << "\n";

  //  string-.
  if (str3 > str1) cout << "str3 > str1\n";
  if (str3 == str1+str2)
  	cout << "str3 == str1+str2\n";

  /*   string   
      . */
  str1 = "    .\n";
  cout << ToRus(str1);

  //  string-  
  //  string-.
  string str4(str1);
  cout << ToRus(str4);
  //  .
  cout << ToRus(" : ");
  cin >> str4;
  cout << str4;

  getch();
  return 0;
}
//---------------------------------------------------------------------------
